Last Comment Bug 780543 - Holding backspace causes enormous repeats of content
: Holding backspace causes enormous repeats of content
Status: VERIFIED FIXED
: regression
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: 16 Branch
: ARM Android
: P1 normal (vote)
: Firefox 18
Assigned To: Chris Peterson [:cpeterson]
:
Mentors:
: 781471 782595 (view as bug list)
Depends on:
Blocks: 759857
  Show dependency treegraph
 
Reported: 2012-08-05 20:00 PDT by Joe Drew (not getting mail)
Modified: 2016-07-29 14:29 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
verified
+
verified
+
verified
verified


Attachments
testcase (3.67 KB, text/html)
2012-09-05 11:46 PDT, Aaron Train [:aaronmt]
no flags Details
screenshot (108.37 KB, image/png)
2012-09-07 08:27 PDT, Andreea Pod
no flags Details

Description Joe Drew (not getting mail) 2012-08-05 20:00:29 PDT
When I'm looking to delete a bunch of text with SwiftKeyX, I hold down the backspace key to engage key repeat. Unfortunately, while in web text fields (at least), when I hold backspace, the content in question gets repeated and repeated, and then eventually gets deleted.

I can create a screencast of this later if necessary.
Comment 1 Chris Peterson [:cpeterson] 2012-08-06 10:11:05 PDT
Joe, which version of Firefox are you using?
Comment 2 Chris Peterson [:cpeterson] 2012-08-06 17:26:13 PDT
I can repro with Nightly 17 and Aurora 16, but not Beta 15 or Firefox 14.
Comment 3 Joe Drew (not getting mail) 2012-08-07 06:01:27 PDT
Nightly 17 for sure, though I've seen this over the past several weeks (as long as I've been using Swiftkey).
Comment 4 Chris Peterson [:cpeterson] 2012-08-07 15:17:12 PDT
Joe, are you using Firefox's form autocomplete popup? I can repro this bug if I use the form autocomplete popup to insert some text and then try to delete the autocompleted text. But I can't repro this bug by just typing then deleting.

I believe this a SwiftKey bug because their users have reported similar problems with Google Chrome and other apps:

http://support.swiftkey.net/forums/116693-2-swiftkey-bugs-/suggestions/2975688-google-chrome-backspace-inserts-and-repeats-lett

However, if Firefox's form autocomplete triggers this SwiftKey bug, I can disable autocomplete for SwiftKey (until they fix their bug).
Comment 5 Joe Drew (not getting mail) 2012-08-07 15:31:30 PDT
Not intentionally, but it could be that it works out that way.

STR:
1. Open Fennec.
2. Type "penny arcade" in awesomebar. Tap on the Google entry saying "Penny Arcade".
3. Tap on the space in the middle of the string, as if you wanted to delete "Penny" but leave "arcade".
4. Hold backspace. Enormous repetition of the word "Penny".
Comment 6 Chris Peterson [:cpeterson] 2012-08-09 15:26:59 PDT
I can repro the "Penny Arcade" bug on Nightly 17, but I can also repro the bug on Chrome and the JB Stock browser (if I try to delete "Arcade" instead of "Penny"). I am testing SwiftKey 3 Trial version 3.0.0.302 on JB 4.1.1.

As the SwiftKey forum link in comment 4 describes, this is a SwiftKey bug. I can only repro the bug with Nightly 17 and Aurora 16, but SwiftKey users report problems with "latest Firefox" and "Firefox beta". I assume they are referring to Firefox 14 and Beta 15.

I will keep this bug open for now so we can track when/whether SwiftKey fixes the problem. If they don't fix it in a timely manner, we may need to add a workaround. :\
Comment 8 dawid.prokop.poland 2012-08-16 23:42:18 PDT
Yes i have the same.  Mostly with SwiftKey. But also with built in keyboard.  Always in Firefox beta.  Other aplications works well. Using backspace its a nightmare
Comment 9 Richard Newman [:rnewman] 2012-08-18 12:07:11 PDT
I have seen this with SwiftKey, but also with the Samsung keyboard on the Galaxy S3. Having all of my keyboards break makes me sad! 
I can also get similar behavior ( whole word repeats) when doing other things - e. g. I typing after a punctuation mark like that paren. 

occasional workaround is to back-sssssswipe on the keyboard, which deletes the whole word and allows re-tttttttyping.
Comment 10 Chris Peterson [:cpeterson] 2012-09-04 16:25:54 PDT
I saw this bug with Swype yesterday.
Comment 11 Chris Peterson [:cpeterson] 2012-09-04 16:35:06 PDT
*** Bug 781471 has been marked as a duplicate of this bug. ***
Comment 12 Alex Keybl [:akeybl] 2012-09-05 09:27:02 PDT
This appears to be happening in FF15 according to comments on the Play Store, and even with the stock browser according to comments here. Can we investigate for inclusion in a possible 15.0.1?
Comment 13 Brad Lassey [:blassey] (use needinfo?) 2012-09-05 09:58:24 PDT
so is this a regression in firefox? comment 2 says it regressed between Fx15 and Fx16, but comment 12 says that it is happening in Fx15.
Comment 14 Chris Peterson [:cpeterson] 2012-09-05 10:01:27 PDT
I am investigating whether this is a new bug beyond just SwiftKey's known bug.

I don't have an ETA for a fix or backout ready for 15.0.1.
Comment 15 Tyler Downer [:Tyler] 2012-09-05 10:09:15 PDT
STR (for what I'm seeing and what google play reviews are mentioning):
Reply to an Email in Zimbra (stock Keyboard, Droid X).
Enter one Letter
press any other key. Autocomplete picks the first word and puts that in (example, if I tried to type and, it would be aand and all I hit were "a" and "n")
Autocomplete will continue this for each key you press (aandandand after pressing "a" "n" "d" and space).
Hitting backspace will do one more autocomplete, but then you can back up and type the word normally. Hitting the space key begins the cycle over.

Same bug?
Comment 16 Richard Newman [:rnewman] 2012-09-05 10:16:04 PDT
(In reply to Tyler Downer [:Tyler] from comment #15)
> STR (for what I'm seeing and what google play reviews are mentioning):
> Reply to an Email in Zimbra (stock Keyboard, Droid X).
...
> Same bug?

(In reply to Brad Lassey [:blassey] from comment #13)
> so is this a regression in firefox? comment 2 says it regressed between Fx15
> and Fx16, but comment 12 says that it is happening in Fx15.

My hunch is that very recent Android keyboards do similar autocomplete tricks to SwiftKey -- I have seen this bug with the stock keyboard on my Galaxy S3 (and posted as such in one of the bugs hanging around). SwiftKey still demonstrates it more visibly, of course.

So this isn't so much a regression as the ground shifting under us. On my Android 2.3 device, the stock keyboard was pretty 'dumb', and I guess that saved us. Now that option has drifted away...
Comment 17 Daniel Veditz [:dveditz] 2012-09-05 11:19:40 PDT
I'll echo comment 10: I've seen this with Swype on a Samsung Charge and Samsung 10.1 tablet using Aurora (16 I think, definitely 17). I was blaming Swype but after seeing this bug I realized I've only seen it in Firefox and not other apps.
Comment 18 Aaron Train [:aaronmt] 2012-09-05 11:29:51 PDT
Re: Zimbra test-case 

I am able to reproduce this on mozilla-central (09/05), mozilla-aurora (09/05), mozilla-beta (16/b2), and mozilla-release (15) using my Galaxy Nexus (Android 4.1.1), stock Android Keyboard quite easily. A repeat of characters are input both while typing and while backspacing in a simple reply email.
Comment 19 Aaron Train [:aaronmt] 2012-09-05 11:46:43 PDT
Created attachment 658566 [details]
testcase
Comment 20 Chris Peterson [:cpeterson] 2012-09-05 13:43:35 PDT
I have determined this was an Aurora 15 regression from bug 769520:
https://hg.mozilla.org/mozilla-central/rev/b9ad5793fbba

The change is easy to backout, BUT it was a speculative fix for a bunch of random IME crashes. I can backout the change and investigate a different fix for the random IME crashes.
Comment 21 Lukas Blakk [:lsblakk] use ?needinfo 2012-09-05 15:24:53 PDT
We're taking the backout on m-c today, and will land it to m-r tomorrow if builds pan out for our 15.0.1 mobile respin.
Comment 22 Chris Peterson [:cpeterson] 2012-09-05 16:54:12 PDT
I backed out the regression changes from m-c, so this bug _should_ be fixed in tomorrow's Nightly:
https://hg.mozilla.org/mozilla-central/rev/3974efe8d584
https://hg.mozilla.org/mozilla-central/rev/1f1e5cdae68d
Comment 23 Andreea Pod 2012-09-06 06:48:29 PDT
We were not able to reproduce this on today's Nightly build (2012-09-06) using the attached testcase. 

We tried on:
- Samsung Galaxy Nexus (Android 4.1.1) using stock Android Keyboard and SwiftKey 3 Trial
- Samsung Galaxy Tab 2 7.0 (Android 4.0.4) using SwiftKey 3 Trial
- ASUS EEE Transformer (Android 4.0.3) using SwiftKey 3 Trial
Comment 24 Aaron Train [:aaronmt] 2012-09-06 07:42:07 PDT
Confirming too (Galaxy SII, 4.0.4), back-out fixed this on mozilla-central.
Comment 25 Chris Peterson [:cpeterson] 2012-09-06 13:18:41 PDT
Fix landed in comment 22
Comment 29 Andreea Pod 2012-09-07 08:27:11 PDT
Created attachment 659267 [details]
screenshot

I was still able to reproduce this bug on Asus EEE Transformer TF101 (Android 4.0.3) using ASUS Keyboard as you can see in the screenshot on Firefox 16.0 Beta 2 build 2. Using SwiftKey or Android keyboard all works as expected.
Comment 30 Aaron Train [:aaronmt] 2012-09-07 08:28:14 PDT
(In reply to Andreea Pod from comment #29)
> Created attachment 659267 [details]
> screenshot
> 
> I was still able to reproduce this bug on Asus EEE Transformer TF101
> (Android 4.0.3) using ASUS Keyboard as you can see in the screenshot on
> Firefox 16.0 Beta 2 build 2. Using SwiftKey or Android keyboard all works as
> expected.

The fix will be in the next available beta candidate; beta 2 build 2 did not take this change.
Comment 31 Kartikaya Gupta (email:kats@mozilla.com) 2012-12-21 09:06:09 PST
*** Bug 782595 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.